io.vertx.rxjava.ext.web.templ

## Class PebbleTemplateEngine

- java.lang.Object
- - io.vertx.rxjava.ext.web.templ.TemplateEngine
  - - io.vertx.rxjava.ext.web.templ.PebbleTemplateEngine

-     public class PebbleTemplateEngine
      extends TemplateEngine

  A template engine that uses the Pebble library.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PebbleTemplateEngine(PebbleTemplateEngine delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PebbleTemplateEngine` | `create(Vertx vertx)` Create a template engine using defaults
    `Object` | `getDelegate()`
    `static PebbleTemplateEngine` | `newInstance(PebbleTemplateEngine arg)`
    `PebbleTemplateEngine` | `setExtension(String extension)` Set the extension for the engine
    `PebbleTemplateEngine` | `setMaxCacheSize(int maxCacheSize)` Set the max cache size for the engine

    - ### Methods inherited from class io.vertx.rxjava.ext.web.templ.TemplateEngine

      `newInstance, render, renderObservable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PebbleTemplateEngine

          public PebbleTemplateEngine(PebbleTemplateEngine delegate)

  - ### Method Detail

    - #### getDelegate

          public Object getDelegate()

      Overrides:
        `getDelegate` in class `TemplateEngine`

    - #### create

          public static PebbleTemplateEngine create(Vertx vertx)

      Create a template engine using defaults
      Parameters:
        `vertx` -
      Returns:
        the engine

    - #### setExtension

          public PebbleTemplateEngine setExtension(String extension)

      Set the extension for the engine
      Parameters:
        `extension` - the extension
      Returns:
        a reference to this for fluency

    - #### setMaxCacheSize

          public PebbleTemplateEngine setMaxCacheSize(int maxCacheSize)

      Set the max cache size for the engine
      Parameters:
        `maxCacheSize` - the maxCacheSize
      Returns:
        a reference to this for fluency

    - #### newInstance

          public static PebbleTemplateEngine newInstance(PebbleTemplateEngine arg)

Copyright © 2016. All rights reserved.